Subject: Re: net/netcat build problem on Tru64 UNIX 5.1b
To: None <>
From: Klaus Heinz <>
List: pkgsrc-users
Date: 09/22/2006 23:28:53
Alexey Lebedev wrote:

> ===> Creating toolchain wrappers for netcat-1.10nb2
> ===> Configuring for netcat-1.10nb2
> ===> Building for netcat-1.10nb2
> bmake: don't know how to make osf5.1. Stop

If you take a look at the pkgsrc Makefile you will see:
  NC_TARGET.IRIX=         irix
  NC_TARGET.Interix=      netbsd
  NC_TARGET.OpenBSD=      netbsd
  NC_TARGET.DragonFly=    freebsd
  NC_TARGET.Darwin=       generic

netcat obviously supplies targets for several operating systems and this
Makefile fragment maps "bmake build" to the correct target.
Since Tru64/OSF1 is not mentioned, the default value ${LOWER_OPSYS}
(=osf5.1, see pkgsrc/mk/ is used and netcat does not know
anythink about such a Make target.

After a look at the netcat Makefile I suggest you add

  NC_TARGET.OSF1=       osf

to the list above in net/netcat/Makefile and try again.